# util.tcl: Utility procs
#
# $Id: util.tcl,v 1.4 2001/07/22 21:47:11 johnr Exp $
#
# Copyright (c) 1998-2001 The Regents of the University of California.
# All rights reserved. See the file COPYRIGHT for details.
#


#######################################################################
#### _error
# Handle an error. If the debug flag is off, print the message
# and exit; if it is on, print the stack trace as well.
# 
proc _error {msg {stack {}}} {
    global debug
    if $debug {
	if { $stack == "" } {
	    global errorInfo
	    set stack $errorInfo
	}
	error $msg $stack
    } else {
	puts "Fatal error: \n$msg"
	exit
    }
}

#######################################################################
#### _catcherror
# Evaluate a script and generate an error if it fails.
# 
proc _catcherror {script} {
    if [catch {uplevel $script} msg] {
	global errorInfo
	_error $msg $errorInfo
    }
}








